import type { Settings } from './generated-types';
import type { BrowserDestinationDefinition } from '../../lib/browser-destinations';
declare global {
    interface Window {
        gtag: Function;
        dataLayer: any;
    }
}
export declare const destination: BrowserDestinationDefinition<Settings, Function>;
declare const _default: (settings: Settings & {
    subscriptions?: import("../../lib/browser-destinations").Subscription[] | undefined;
}) => Promise<import("@segment/analytics-next").Plugin[]>;
export default _default;
